Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.el.sql
Class QueryTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.sql.QueryTagSupport
                  org.apache.taglibs.standard.tag.el.sql.QueryTag

All Implemented Interfaces:
  Serializable, SQLExecutionTag, BodyTag, IterationTag, JspTag, Tag, TryCatchFinally

    public class QueryTag

extends QueryTagSupport

Subclass for the JSTL library with EL support.

Author:
  Hans Bergsten, Justyna Horwat
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.taglibs.standard.tag.common.sql.QueryTagSupport
`dataSourceSpecified, maxRows, maxRowsSpecified, rawDataSource, sql, startRow`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`QueryTag()` Constructs a new QueryTag.

Method Summary
`int` | `doStartTag()` Prepares for execution by setting the initial state, such as getting the `Connection`
`void` | `setDataSource(String dataSourceEL)`
`void` | `setMaxRows(String maxRowsEL)` Query result can be limited by specifying the maximum number of rows returned.
`void` | `setSql(String sqlEL)` Setter method for the SQL statement to use for the query.
`void` | `setStartRow(String startRowEL)` The index of the first row returned can be specified using startRow.

Methods inherited from class org.apache.taglibs.standard.tag.common.sql.QueryTagSupport
`addSQLParameter, doCatch, doEndTag, doFinally, setScope, setVar`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### QueryTag

    public QueryTag()

  Constructs a new QueryTag. As with TagSupport, subclasses should not provide other constructors and are expected to call the superclass constructor

Method Detail

### setDataSource

    public void setDataSource(String dataSourceEL)

### setStartRow

    public void setStartRow(String startRowEL)

  The index of the first row returned can be specified using startRow.

### setMaxRows

    public void setMaxRows(String maxRowsEL)

  Query result can be limited by specifying the maximum number of rows returned.

### setSql

    public void setSql(String sqlEL)

  Setter method for the SQL statement to use for the query. The statement may contain parameter markers (question marks, ?). If so, the parameter values must be set using nested value elements.

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `QueryTagSupport`
  Prepares for execution by setting the initial state, such as getting the `Connection`

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `QueryTagSupport`
  Returns:
    EVAL_BODY_BUFFERED
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doStartTag()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.